
######  LaTeX sources
.WGB.d:  WGB.tex
WGB.dvi WGB.aux:  WGB.tex
WGB.pdf:  WGB.tex

######  BibTeX
WGB.dvi WGB.pdf WGB.bbl:  Biblio.bib
ifeq ($(wildcard WGB.aux),WGB.aux)
WGB.dvi WGB.pdf: WGB.bbl
endif

######  Figures
WGB.dvi:     network_struct.fig host_to_host.fig pairwise_host.fig internal_host.fig jammed_host.fig ENS_phy_topology.fig ENS_env_topology.fig NWS_plan.fig
WGB.pdf:     network_struct.fig host_to_host.fig pairwise_host.fig internal_host.fig jammed_host.fig ENS_phy_topology.fig ENS_env_topology.fig NWS_plan.fig 

######  XFig
FIGS_LIST +=  network_struct.fig host_to_host.fig pairwise_host.fig internal_host.fig jammed_host.fig ENS_phy_topology.fig ENS_env_topology.fig NWS_plan.fig
WGB.pdf: network_struct.pdf network_struct.pdftex_t network_struct.pstex
WGB.dvi: network_struct.pstex network_struct.pstex_t
WGB.pdf: host_to_host.pdf host_to_host.pdftex_t host_to_host.pstex
WGB.dvi: host_to_host.pstex host_to_host.pstex_t
WGB.pdf: pairwise_host.pdf pairwise_host.pdftex_t pairwise_host.pstex
WGB.dvi: pairwise_host.pstex pairwise_host.pstex_t
WGB.pdf: internal_host.pdf internal_host.pdftex_t internal_host.pstex
WGB.dvi: internal_host.pstex internal_host.pstex_t
WGB.pdf: jammed_host.pdf jammed_host.pdftex_t jammed_host.pstex
WGB.dvi: jammed_host.pstex jammed_host.pstex_t
WGB.pdf: ENS_phy_topology.pdf ENS_phy_topology.pdftex_t ENS_phy_topology.pstex
WGB.dvi: ENS_phy_topology.pstex ENS_phy_topology.pstex_t
WGB.pdf: ENS_env_topology.pdf ENS_env_topology.pdftex_t ENS_env_topology.pstex
WGB.dvi: ENS_env_topology.pstex ENS_env_topology.pstex_t
WGB.pdf: NWS_plan.pdf NWS_plan.pdftex_t NWS_plan.pstex
WGB.dvi: NWS_plan.pstex NWS_plan.pstex_t
FILES_TO_CLEAN +=  network_struct.pdf network_struct.pdftex_t network_struct.pstex  network_struct.pstex network_struct.pstex_t host_to_host.pdf host_to_host.pdftex_t host_to_host.pstex  host_to_host.pstex host_to_host.pstex_t pairwise_host.pdf pairwise_host.pdftex_t pairwise_host.pstex  pairwise_host.pstex pairwise_host.pstex_t internal_host.pdf internal_host.pdftex_t internal_host.pstex  internal_host.pstex internal_host.pstex_t jammed_host.pdf jammed_host.pdftex_t jammed_host.pstex  jammed_host.pstex jammed_host.pstex_t ENS_phy_topology.pdf ENS_phy_topology.pdftex_t ENS_phy_topology.pstex  ENS_phy_topology.pstex ENS_phy_topology.pstex_t ENS_env_topology.pdf ENS_env_topology.pdftex_t ENS_env_topology.pstex  ENS_env_topology.pstex ENS_env_topology.pstex_t NWS_plan.pdf NWS_plan.pdftex_t NWS_plan.pstex  NWS_plan.pstex NWS_plan.pstex_t 

######  MPost
MPS_LIST += 

######  graphicspath
ifneq ($(VPATH),)
ifneq ($(VPATH),$(sort $(subst :, ,fig/)))
$(warning VPATH "$(VPATH)" merged with "$(sort $(subst :, ,fig/))")
endif
endif
VPATH := $(sort $(subst :, ,$(VPATH):fig/))
GPATH := $(VPATH)
