
######  LaTeX sources
.WGB_slides.d:  WGB_slides.tex
WGB_slides.dvi WGB_slides.aux:  WGB_slides.tex
WGB_slides.pdf:  WGB_slides.tex

######  BibTeX
WGB_slides.bbl:
	$(COMMON_PREFIX)echo "No need to create $@ (no \\\\bibliography{} in tex files)"

######  Figures
WGB_slides.dvi:   fig/network_struct.eps   nwsEN_1.fig nwsEN_2.fig nwsEN_3.fig nwsEN_4.fig nwsEN_5.fig host_to_host.fig pairwise_host.fig internal_host.fig jammed_host.fig ENS_phy_topology.fig ENS_env_topology.fig NWS_plan.fig
WGB_slides.pdf:   fig/network_struct.eps   nwsEN_1.fig nwsEN_2.fig nwsEN_3.fig nwsEN_4.fig nwsEN_5.fig host_to_host.fig pairwise_host.fig internal_host.fig jammed_host.fig ENS_phy_topology.fig ENS_env_topology.fig NWS_plan.fig  fig/network_struct.pdf
PDFFROMEPS_LIST +=  fig/network_struct.eps

######  XFig
FIGS_LIST +=  nwsEN_1.fig nwsEN_2.fig nwsEN_3.fig nwsEN_4.fig nwsEN_5.fig host_to_host.fig pairwise_host.fig internal_host.fig jammed_host.fig ENS_phy_topology.fig ENS_env_topology.fig NWS_plan.fig
WGB_slides.pdf: nwsEN_1.pdf nwsEN_1.pdftex_t nwsEN_1.pstex
WGB_slides.dvi: nwsEN_1.pstex nwsEN_1.pstex_t
SUBFIGMAKEFILES += .nwsEN_subfig.mk
.nwsEN_subfig.mk: nwsEN.subfig
WGB_slides.pdf: nwsEN_2.pdf nwsEN_2.pdftex_t nwsEN_2.pstex
WGB_slides.dvi: nwsEN_2.pstex nwsEN_2.pstex_t
SUBFIGMAKEFILES += .nwsEN_subfig.mk
.nwsEN_subfig.mk: nwsEN.subfig
WGB_slides.pdf: nwsEN_3.pdf nwsEN_3.pdftex_t nwsEN_3.pstex
WGB_slides.dvi: nwsEN_3.pstex nwsEN_3.pstex_t
SUBFIGMAKEFILES += .nwsEN_subfig.mk
.nwsEN_subfig.mk: nwsEN.subfig
WGB_slides.pdf: nwsEN_4.pdf nwsEN_4.pdftex_t nwsEN_4.pstex
WGB_slides.dvi: nwsEN_4.pstex nwsEN_4.pstex_t
SUBFIGMAKEFILES += .nwsEN_subfig.mk
.nwsEN_subfig.mk: nwsEN.subfig
WGB_slides.pdf: nwsEN_5.pdf nwsEN_5.pdftex_t nwsEN_5.pstex
WGB_slides.dvi: nwsEN_5.pstex nwsEN_5.pstex_t
SUBFIGMAKEFILES += .nwsEN_subfig.mk
.nwsEN_subfig.mk: nwsEN.subfig
WGB_slides.pdf: host_to_host.pdf host_to_host.pdftex_t host_to_host.pstex
WGB_slides.dvi: host_to_host.pstex host_to_host.pstex_t
WGB_slides.pdf: pairwise_host.pdf pairwise_host.pdftex_t pairwise_host.pstex
WGB_slides.dvi: pairwise_host.pstex pairwise_host.pstex_t
WGB_slides.pdf: internal_host.pdf internal_host.pdftex_t internal_host.pstex
WGB_slides.dvi: internal_host.pstex internal_host.pstex_t
WGB_slides.pdf: jammed_host.pdf jammed_host.pdftex_t jammed_host.pstex
WGB_slides.dvi: jammed_host.pstex jammed_host.pstex_t
WGB_slides.pdf: ENS_phy_topology.pdf ENS_phy_topology.pdftex_t ENS_phy_topology.pstex
WGB_slides.dvi: ENS_phy_topology.pstex ENS_phy_topology.pstex_t
WGB_slides.pdf: ENS_env_topology.pdf ENS_env_topology.pdftex_t ENS_env_topology.pstex
WGB_slides.dvi: ENS_env_topology.pstex ENS_env_topology.pstex_t
WGB_slides.pdf: NWS_plan.pdf NWS_plan.pdftex_t NWS_plan.pstex
WGB_slides.dvi: NWS_plan.pstex NWS_plan.pstex_t
FILES_TO_CLEAN +=  nwsEN_1.pdf nwsEN_1.pdftex_t nwsEN_1.pstex  nwsEN_1.pstex nwsEN_1.pstex_t nwsEN_2.pdf nwsEN_2.pdftex_t nwsEN_2.pstex  nwsEN_2.pstex nwsEN_2.pstex_t nwsEN_3.pdf nwsEN_3.pdftex_t nwsEN_3.pstex  nwsEN_3.pstex nwsEN_3.pstex_t nwsEN_4.pdf nwsEN_4.pdftex_t nwsEN_4.pstex  nwsEN_4.pstex nwsEN_4.pstex_t nwsEN_5.pdf nwsEN_5.pdftex_t nwsEN_5.pstex  nwsEN_5.pstex nwsEN_5.pstex_t host_to_host.pdf host_to_host.pdftex_t host_to_host.pstex  host_to_host.pstex host_to_host.pstex_t pairwise_host.pdf pairwise_host.pdftex_t pairwise_host.pstex  pairwise_host.pstex pairwise_host.pstex_t internal_host.pdf internal_host.pdftex_t internal_host.pstex  internal_host.pstex internal_host.pstex_t jammed_host.pdf jammed_host.pdftex_t jammed_host.pstex  jammed_host.pstex jammed_host.pstex_t ENS_phy_topology.pdf ENS_phy_topology.pdftex_t ENS_phy_topology.pstex  ENS_phy_topology.pstex ENS_phy_topology.pstex_t ENS_env_topology.pdf ENS_env_topology.pdftex_t ENS_env_topology.pstex  ENS_env_topology.pstex ENS_env_topology.pstex_t NWS_plan.pdf NWS_plan.pdftex_t NWS_plan.pstex  NWS_plan.pstex NWS_plan.pstex_t  fig/network_struct.pdf

######  MPost
MPS_LIST += 

######  graphicspath
ifneq ($(VPATH),)
ifneq ($(VPATH),$(sort $(subst :, ,fig/)))
$(warning VPATH "$(VPATH)" merged with "$(sort $(subst :, ,fig/))")
endif
endif
VPATH := $(sort $(subst :, ,$(VPATH):fig/))
GPATH := $(VPATH)
